javax.faces.component.html

## Enum HtmlGraphicImage.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlGraphicImage.PropertyKeys>
  - - javax.faces.component.html.HtmlGraphicImage.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlGraphicImage.PropertyKeys>
  Enclosing class:
    HtmlGraphicImage

      protected static enum HtmlGraphicImage.PropertyKeys
      extends Enum<HtmlGraphicImage.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `alt`
    `dir`
    `height`
    `ismap`
    `lang`
    `longdesc`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `role`
    `style`
    `styleClass`
    `title`
    `usemap`
    `width`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlGraphicImage.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlGraphicImage.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### alt

          public static final HtmlGraphicImage.PropertyKeys alt

    - #### dir

          public static final HtmlGraphicImage.PropertyKeys dir

    - #### height

          public static final HtmlGraphicImage.PropertyKeys height

    - #### ismap

          public static final HtmlGraphicImage.PropertyKeys ismap

    - #### lang

          public static final HtmlGraphicImage.PropertyKeys lang

    - #### longdesc

          public static final HtmlGraphicImage.PropertyKeys longdesc

    - #### onclick

          public static final HtmlGraphicImage.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlGraphicImage.PropertyKeys ondblclick

    - #### onkeydown

          public static final HtmlGraphicImage.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlGraphicImage.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlGraphicImage.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlGraphicImage.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlGraphicImage.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlGraphicImage.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlGraphicImage.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlGraphicImage.PropertyKeys onmouseup

    - #### role

          public static final HtmlGraphicImage.PropertyKeys role

    - #### style

          public static final HtmlGraphicImage.PropertyKeys style

    - #### styleClass

          public static final HtmlGraphicImage.PropertyKeys styleClass

    - #### title

          public static final HtmlGraphicImage.PropertyKeys title

    - #### usemap

          public static final HtmlGraphicImage.PropertyKeys usemap

    - #### width

          public static final HtmlGraphicImage.PropertyKeys width

  - ### Method Detail

    - #### values

          public static HtmlGraphicImage.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlGraphicImage.PropertyKeys c : HtmlGraphicImage.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlGraphicImage.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlGraphicImage.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.